### Method

# Gio Task get_source_object

since: 2.36

#### Declaration

    GObject*
    g_task_get_source_object (
      GTask* task
    )

#### Description

Gets the source object from `task`. Like g_async_result_get_source_object(), but does not ref the object.

Available since: 2.36

#### Return value

Type: `GObject`

`task`‘s source object, or `NULL`.

The returned data is owned by the instance.
The return value can be `NULL`.